﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using MindFusion.UI.WinForms;

namespace CommonAPI
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();

            comboBoxThemes.Items.AddRange(Enum.GetNames(typeof(Theme)));
            comboBoxThemes.Items.Add("Custom");
            comboBoxThemes.SelectedIndex = 0;

            virtualKeyboard1.KeyPressed += vk_KeyPressed;
			virtualKeyboard1.LicenseKey = "AQAAACsAAAAoAAAAAQEABRgItLqvvLCylpGbuYqMlpCR0a+enJTRqJaRuZCNkozGjJd4SoMn9xMyu8CT3ta10xNxg8ueRd2ikmxGk0quaDdFT+NGzeFFGmFE1ia79GE=";
			
		}

		void vk_KeyPressed(object sender, VirtualKeyEventArgs e)
        {
			if (!richTextBox1.Focused)
				richTextBox1.Focus();
        }

        private void comboBoxThemes_SelectedValueChanged(object sender, EventArgs e)
        {
            var theme = comboBoxThemes.SelectedItem.ToString();
            if (theme.Equals("Custom"))
                virtualKeyboard1.ApplyTheme(typeof(MainForm).Assembly.GetManifestResourceStream("CommonAPI.CustomTheme.xml"));
            else
                virtualKeyboard1.Theme = (Theme)Enum.Parse(typeof(Theme), theme);
        }

        private void btn_Shifted_Key_1_Click(object sender, EventArgs e)
        {
            richTextBox1.Focus();

            // use VirtualKeyboard to type ! character
            virtualKeyboard1.SendKey(Key.Shift);
            virtualKeyboard1.SendKey(new RegularKey(0x31));	// virtual key code for the 1 key
        }

        private void btn_Google_Click(object sender, EventArgs e)
        {
            richTextBox1.Focus();

            // use VirtualKeyboard to type a string
            virtualKeyboard1.SendKey(new RegularKey { Content = "www.google.com" });
            virtualKeyboard1.SendKey(Key.Enter);
        }

        private void checkBoxUnlockSpecialKey_CheckedChanged_1(object sender, EventArgs e)
        {
            virtualKeyboard1.AutoReleaseModifierKeys = checkBoxUnlockSpecialKey.Checked;
        }

		private void MainForm_Load(object sender, EventArgs e)
		{
			richTextBox1.Focus();
		}   
    }
}
